geometric.sequence {bsts} | R Documentation

## Create a Geometric Sequence

### Description

Create a geometric sequence.

### Usage

      GeometricSequence(length, initial.value = 1, discount.factor = .5)

### Arguments

`length` | A positive integer giving the length of the desired sequence.
`initial.value` | The first term in the sequence. Cannot be zero.
`discount.factor` | The ratio between a sequence term and the preceding term. Cannot be zero.

### Value

A numeric vector containing the desired sequence.

### Author(s)

Steven L. Scott steve.the.bayesian@gmail.com

### Examples

    GeometricSequence(4, .8, .6)
    # [1] 0.8000 0.4800 0.2880 0.1728

    GeometricSequence(5, 2, 3)
    # [1]   2   6  18  54 162

    ## Not run:
    GeometricSequence(0, -1, -2)
    # Error: length > 0 is not TRUE

    ## End(Not run)

[Package bsts version 0.9.1 Index]